Index: CKEditor/branches/versions/3.5.x/_source/themes/default/theme.js
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/themes/default/theme.js	(revision 5937)
+++ CKEditor/branches/versions/3.5.x/_source/themes/default/theme.js	(revision 6050)
@@ -3,4 +3,9 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 */
+
+/**
+ * @name CKEDITOR.theme
+ * @class
+ */
 
 CKEDITOR.themes.add( 'default', (function()
@@ -23,5 +28,5 @@
 			var html =
 				'<span class="cke_shared">' +
-				'<span class="' + editor.skinClass + ' cke_editor_' + editor.name + '">' +
+				'<span class="' + editor.skinClass + ' ' + editor.id + ' cke_editor_' + editor.name + '">' +
 				'<span class="' + CKEDITOR.env.cssClass + '">' +
 				'<span class="cke_wrapper cke_' + editor.lang.dir + '">' +
@@ -66,5 +71,5 @@
 	}
 
-	return {
+	return /** @lends CKEDITOR.theme */ {
 		build : function( editor, themePath )
 		{
@@ -115,5 +120,5 @@
 					' id="cke_', name, '"' +
 					' onmousedown="return false;"' +
-					' class="', editor.skinClass, ' cke_editor_', name, '"' +
+					' class="', editor.skinClass, ' ', editor.id, ' cke_editor_', name, '"' +
 					' dir="', editor.lang.dir, '"' +
 					' title="', ( CKEDITOR.env.gecko ? ' ' : '' ), '"' +
@@ -168,5 +173,5 @@
 
 			var element = CKEDITOR.dom.element.createFromHtml( [
-					'<div class="cke_editor_' + editor.name.replace('.', '\\.') + '_dialog cke_skin_', editor.skinName,
+					'<div class="', editor.id, '_dialog cke_editor_', editor.name.replace('.', '\\.'), '_dialog cke_skin_', editor.skinName,
 						'" dir="', editor.lang.dir, '"' +
 						' lang="', editor.langCode, '"' +
@@ -286,8 +291,4 @@
 CKEDITOR.editor.prototype.resize = function( width, height, isContentHeight, resizeInner )
 {
-	var numberRegex = /^\d+$/;
-	if ( numberRegex.test( width ) )
-		width += 'px';
-
 	var container = this.container,
 		contents = CKEDITOR.document.getById( 'cke_contents_' + this.name ),
@@ -298,5 +299,6 @@
 	// resize it. If we don't, the browser crashes!
 	CKEDITOR.env.webkit && outer.setStyle( 'display', 'none' );
-	outer.setStyle( 'width', width );
+	// Set as border box width. (#5353)
+	outer.setSize( 'width',  width, true );
 	if ( CKEDITOR.env.webkit )
 	{
